package com.migration;

import java.rmi.RemoteException;

import javax.ejb.EJBException;
import javax.ejb.EJBLocalHome;
import javax.ejb.EJBLocalObject;
import javax.ejb.RemoveException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;



/**
 * Session Bean implementation class EmpolyeeInfo
 */

public class EmpolyeeInfo implements SessionBean,  EmpolyeeInfoLocal {

	public SessionContext sessionContext = null;
	
    /**
     * Default constructor. 
     */
    public EmpolyeeInfo() {}

	@Override
	public void ejbActivate() throws EJBException, RemoteException {
		System.out.println("EmpolyeeInfo : EJB Activation");
	}

	@Override
	public void ejbPassivate() throws EJBException, RemoteException {
		System.out.println("EmpolyeeInfo : EJB Passivation");
	}

	@Override
	public void ejbRemove() throws EJBException, RemoteException {
		System.out.println("EmpolyeeInfo : EJB Remove");
	}

	@Override
	public void setSessionContext(SessionContext context) throws EJBException, RemoteException {
		sessionContext = context; 
	}

	@Override
	public String getEmpFullName(String surname) throws RemoteException {

		return "EJB : " + surname;
		
	}

	@Override
	public EJBLocalHome getEJBLocalHome() throws EJBException {
		return null;
	}

	@Override
	public Object getPrimaryKey() throws EJBException {
		return null;
	}

	@Override
	public boolean isIdentical(EJBLocalObject arg0) throws EJBException {
		return false;
	}

	@Override
	public void remove() throws RemoveException, EJBException {
		
	}

}
